Package org.globus.gsi.provider.simple

# Class SimpleMemoryCertStoreParams

java.lang.Object
org.globus.gsi.provider.simple.SimpleMemoryCertStoreParams

All Implemented Interfaces:
  `Cloneable`, `CertStoreParameters`

public class SimpleMemoryCertStoreParams extends Object implements CertStoreParameters
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`SimpleMemoryCertStoreParams(X509Certificate[] certs, X509CRL[] crls)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
Deprecated.
`X509Certificate[]`
`getCerts()`
Deprecated.
`X509CRL[]`
`getCrls()`
Deprecated.
`void`
`setCerts(X509Certificate[] certs)`
Deprecated.
`void`
`setCrls(X509CRL[] crls)`
Deprecated.

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleMemoryCertStoreParams

public SimpleMemoryCertStoreParams(X509Certificate[] certs, X509CRL[] crls)
Deprecated.

## Method Details

### getCerts

public X509Certificate[] getCerts()
Deprecated.

### setCerts

public void setCerts(X509Certificate[] certs)
Deprecated.

### getCrls

public X509CRL[] getCrls()
Deprecated.

### setCrls

public void setCrls(X509CRL[] crls)
Deprecated.

### clone

public Object clone()
Deprecated.

Specified by:
  `clone` in interface `CertStoreParameters`
Overrides:
  `clone` in class `Object`